Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Googlesitemaps error


Reply


6 Posts   705 Views

Avatar
Joepvi

Community Member, 3 Posts

20 April 2012 at 10:01pm

I just installed the latest version of silverstripe on my server.

I installed all my modules and theme

- Dataobject
- SWFupload
- Simple gallery

But when i upload the googlesitemaps module i get the following error:

Fatal error: Class 'DataExtension' not found in /home/srt/domains/stagerentaltilburg.nl/public_html/googlesitemaps/code/GoogleSitemapDecorator.php on line 9

What could the problem be.

Avatar
Joepvi

Community Member, 3 Posts

22 April 2012 at 3:02am

I noticed the problem,

The version i downloaded is NOT compatible with the stable release (V2.4.7).

Its made for the Beta V3.0.0 , does anyone have the old module still avaiable. I cant find the module compatible with the current release online.

Thanks in advance.

Avatar
Joepvi

Community Member, 3 Posts

22 April 2012 at 3:07am

I found an old version of silverstripe on my PC and used the googlesitemaps module from that version and it worked.

Avatar
Willr

Forum Moderator, 5513 Posts

22 April 2012 at 9:21pm

You can find the 2.4 supported branch either on the module download page here or via github (select the branch using the dropdown on the left under the header) https://github.com/silverstripe-labs/silverstripe-googlesitemaps/tree/0.2

Avatar
mrcl

Community Member, 8 Posts

19 May 2012 at 2:57am

I downloaded the 2.4 supported branch and got the same error.
Installed version - SilverStripe 2.4.7

Any ideas?

Avatar
mrcl

Community Member, 8 Posts

19 May 2012 at 3:11am

Sorry... My bad!!!
I when I cloned the repo I didn't specify the brunch!!!
Working now!!

Thanks Willr.